/*
 * This file is part of XViewdata - a viewdata terminal emulator.
 * Copyright (C) 1997 Peter Corlett. All Rights Reserved.
 *
 * config.h: User configurable settings to compile in.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* Firstly, the default compiled in settings */

/* The default stream to use */
#define DEFAULT_SERVER "telnet"
#define DEFAULT_SERVERARG "localhost"

/* The default display to use (overridden with -D option) */
#define DEFAULT_DISPLAY "xlib"
#define DEFAULT_DISPLAYARG "800:600"

/* The default terminal to use */
#define DEFAULT_TERMINAL "viewdata"
#define DEFAULT_TERMINALARG ""

/* Where will the fonts be found (overridden with -f option) */
#define DEFAULT_FONT_DIRECTORY "/usr/lib/xviewdata:fonts"

/* Default width and height of display (overridden with -x and -y options) */
#define DEFAULT_DISPLAY_WIDTH 480
#define DEFAULT_DISPLAY_HEIGHT 450

/* Default width and height of terminal (overridden with -X and -Y options) */
/* Don't change these unless you have a special need */
#define DEFAULT_TTY_WIDTH 40
#define DEFAULT_TTY_HEIGHT 24

/* What is the network buffer size (overridden with -N option) */
/* Don't change this unless you have a special need */
#define DEFAULT_NETWORK_BUFFER 4096

/* Secondly, which modules should be compiled in. You might not want
   to include one due to it being buggy, or you might want a
   customised version. */

/* This defines which connection types are compiled in */

#define USE_TELNET /* TCP/IP support */
#define USE_SERIAL /* serial support */

/* This defines which display types are compiled in */
/* svgalib is disabled by default since it can be a security hole */

// #define USE_SVGALIB /* svgalib support (Linux only?) */
#define USE_XLIB /* X Window support */

