/*
 * This file is part of XViewdata - a viewdata terminal emulator.
 * Copyright (C) 1997 Peter Corlett. All Rights Reserved.
 *
 * Settings.h: Configuration data.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SETTINGS_H
#define SETTINGS_H

#include <String.h>

/// Configuration settings, set from command line.
class Settings {
  ///
public:
  ///
  Settings(void) {
    connectiondriver=DEFAULT_SERVER;
    connectionarg=DEFAULT_SERVERARG;
    displaydriver=DEFAULT_DISPLAY;
    displayarg=DEFAULT_DISPLAYARG;
    terminaldriver=DEFAULT_TERMINAL;
    terminalarg=DEFAULT_TERMINALARG;

    fontdir=DEFAULT_FONT_DIRECTORY;
    netbuf=DEFAULT_NETWORK_BUFFER;
  };
  ///
  ~Settings() {};
  /// Type of I/O to use.
  String connectiondriver;
  ///
  String connectionarg;
  /// Type of display to use.
  String displaydriver;
  ///
  String displayarg;
  /// Type of terminal to use
  String terminaldriver;
  ///
  String terminalarg;

  /// Directory where fonts are kept
  String fontdir;
  /// Network buffer size in bytes.
  int netbuf;
};

#endif /* SETTINGS_H */
